package com.sundot.airport.system.mapper;

import java.util.List;

import com.sundot.airport.system.domain.BaseCheckPoint;
import org.apache.ibatis.annotations.Param;

/**
 * 检查部位Mapper接口
 *
 * @author ruoyi
 * @date 2025-07-08
 */
public interface BaseCheckPointMapper {
    /**
     * 查询检查部位
     *
     * @param id 检查部位主键
     * @return 检查部位
     */
    public BaseCheckPoint selectBaseCheckPointById(Long id);

    /**
     * 查询检查部位列表
     *
     * @param baseCheckPoint 检查部位
     * @return 检查部位集合
     */
    public List<BaseCheckPoint> selectBaseCheckPointList(BaseCheckPoint baseCheckPoint);

    /**
     * 新增检查部位
     *
     * @param baseCheckPoint 检查部位
     * @return 结果
     */
    public int insertBaseCheckPoint(BaseCheckPoint baseCheckPoint);

    /**
     * 修改检查部位
     *
     * @param baseCheckPoint 检查部位
     * @return 结果
     */
    public int updateBaseCheckPoint(BaseCheckPoint baseCheckPoint);

    /**
     * 删除检查部位
     *
     * @param id 检查部位主键
     * @return 结果
     */
    public int deleteBaseCheckPointById(Long id);

    /**
     * 批量删除检查部位
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseCheckPointByIds(Long[] ids);

    /**
     * 根据ID查询所有子元素
     *
     * @param id ID
     * @return 列表
     */
    public List<BaseCheckPoint> selectChildrenById(Long id);

    /**
     * 修改子元素关系
     *
     * @param list 子元素
     * @return 结果
     */
    public int updateChildren(@Param("list") List<BaseCheckPoint> list);
}
